Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class DeleteBinding

    java.lang.Object
      weblogic.uddi.client.structures.request.Request
          weblogic.uddi.client.structures.request.UpdateRequest
              weblogic.uddi.client.structures.request.DeleteBinding

    public class DeleteBinding

extends UpdateRequest

The delete_binding message causes one or more bindingTemplate to be deleted.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`authInfo`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`DeleteBinding()` Class constructor.

Method Summary
`void` | `addBindingKey(String bindingKey)` Add a new BindingKey to the set of Binding Key
`Vector` | `getBindingKeyVector()` Gets the current set of Binding Keys.
`void` | `setBindingKeyVector(Vector keyVector)` Set a new set of Binding Keys

Methods inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`getAuthInfo, setAuthInfo`

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteBinding

    public DeleteBinding()

  Class constructor.

Method Detail

### addBindingKey

    public void addBindingKey(String bindingKey)

  Add a new BindingKey to the set of Binding Key

  Parameters:
    `bindingKey` - Value of new BindingKey

### setBindingKeyVector

    public void setBindingKeyVector(Vector keyVector)

  Set a new set of Binding Keys

  Parameters:
    `keyVector` - Set of Binding Keys

### getBindingKeyVector

    public Vector getBindingKeyVector()

  Gets the current set of Binding Keys.

  Returns:
    Current set of Binding Keys

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD